### Class

# Handy EnumValueObject

since: 1.0

#### Description [src]

    final class Handy.EnumValueObject : GObject.Object
    {
      /* No available fields */
    }

An object representing an `GEnumValue`.

The `HdyEnumValueObject` object represents a `GEnumValue`, allowing it to be used with `GListModel`.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### hdy_enum_value_object_new

Creates a new `HdyEnumValueObject`.

since: 1.0

#### Instance methods

###### hdy_enum_value_object_get_name

Gets the name of `self`.

since: 1.0

###### hdy_enum_value_object_get_nick

Gets the nick of `self`.

since: 1.0

###### hdy_enum_value_object_get_value

Gets the value of `self`.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandyEnumValueObjectClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.